Bug 1387355 - amsmath \dots \left error; fixed upstream
Summary: amsmath \dots \left error; fixed upstream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-20 16:55 UTC by Jerry James
Modified: 2016-10-28 00:41 UTC (History)
3 users (show)

Fixed In Version: texlive-2016-17.20160520.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-28 00:41:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Jerry James 2016-10-20 16:55:33 UTC
Description of problem:
I encountered an error while building the flint package for Rawhide.  The following document is a stripped down version of the problem.  It builds without error and produces the expected output on Fedora 24 with texlive-2015-24.20150728_r37987.fc24:

\documentclass{article}
\usepackage{amsmath,amsthm,amscd,amsfonts,amssymb}
\begin{document}

    $$
    2 \max \left(
        \left|\frac{a_{n-1}}{a_n}\right|,
        \left|\frac{a_{n-2}}{a_n}\right|^{\frac{1}{2}}, \dots
        \left|\frac{a_1}{a_n}\right|^{\frac{1}{n-1}},
        \left|\frac{a_0}{2a_n}\right|^{\frac{1}{n}}
    \right)
    $$

\end{document}

With Rawhide, though, this happens:

$ pdflatex test.tex
This is pdfTeX, Version 3.14159265-2.6-1.40.17 (TeX Live 2016) (preloaded format=pdflatex)
 restricted \write18 enabled.
...
(/usr/share/texlive/texmf-dist/tex/latex/amsfonts/umsb.fd)
! Argument of \zap@to@space has an extra }.
<inserted text> 
                \par 
l.9         \left
                 |\frac{a_1}{a_n}\right|^{\frac{1}{n-1}},
? 

This appears to be a known problem with amsmath 2.15b (the version in Rawhide), which has been fixed in amsmath 2.15d.  Is an amsmath upgrade possible?

Version-Release number of selected component (if applicable):
texlive-amsmath-svn40218-13.fc26.1.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Save the document text show above into a file, say dots.tex
2. Run pdflatex dots.tex in Rawhide

Actual results:
The error shown above.

Expected results:
Successful completion.

Additional info:
See version notes on 2.15d here: https://www.ctan.org/tex-archive/macros/latex/required/amsmath?lang=en

Comment 1 Fedora Update System 2016-10-26 20:34:07 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-17.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 2 Fedora Update System 2016-10-28 00:41:15 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-17.20160520.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.